#pragma once

#ifndef RENDERER_H
#define RENDERER_H


/**
	\file
	\brief Includes all Renderer headers
*/




/**
	\namespace Renderer
	\brief Contains State class
*/

/**
	\namespace Renderer::detail
	\brief Pseudo-anonymous namespace for Renderer implementation details
*/




/*==============================================================================
	Include all Renderer headers
==============================================================================*/


#include "renderer_state.h"
#include "renderer_camera.h"




#endif    // RENDERER_H
